package com.pqs9300.service.formdata;

import java.util.Date;
import java.util.List;

import com.pqs9300.pojo.transaction.OverRunLog;
import com.pqs9300.pojo.transaction.Supervise;

public interface FormDataService {
    List<OverRunLog> getListOverRunLog(List<String> deptsIndex, Date time, int... type);//获取预警单数据 type = 1 告警单

    void insertFormData(int... type);// 处理预警单数据 type = 1 告警单
    
    String saveOverRunLog(String deptsIndex, Date time,List<String> indexs, int... type);
    
    void modOverRunLog(String supIndex,String deptsIndex, Date time,List<String> indexs, int... type);
    
    void delTechnical(String supIndex);
    
    List<OverRunLog> getTechnicalDetail(String deptsIndex, Date time, int... type);//获取预警单数据 type = 1 告警单
    
    Supervise getTechnicalByID(String supIndex);
    
    List<String> getOptions(Long lineIndex,Date time);
}
